Daemon Power

The NetBSD Packages Collection: math/py-netCDF4

Brief description of the package:
Object-oriented python interface to netCDF version 4

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/Unidata/netcdf4-python.

Please note that this package has a mit license.

The package is located in the "math/py-netCDF4" directory. The current source version of the package is "py38-netCDF4-1.5.3nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for math/py-netCDF4 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py38-cftime-[0-9]* py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.3nb1 readline>=2.2 readline>=6.0 python38>=3.8.0 python38>=3.8.7 py38-cython>=0.12.1 py38-numpy>=1.0 gcc7>=3.0 gsed>=3.0.2 py38-cython>=0.29.21 lapack>=3.9.0 blas>=3.9.0 gcc7>=7.0 blas>=3.9.0nb1 lapack>=3.9.0nb1 py38-numpy>=1.19.2nb1 hdf5>=1.8.7 libaec>=1.0.4 netcdf>=3.5 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb3 nghttp2>=1.40.0nb4 hdf5>=1.8.11 curl>=7.70.0nb2 netcdf>=4.6.1nb10 .

This package requires the following package(s) to run: py38-cftime-[0-9]* py38-setuptools-[0-9]* py38-expat-[0-9]* python38>=3.8 libffi>=1.20 libuuid>=2.18 libffi>=3.3nb1 python38>=3.8.0 python38>=3.8.7 py38-cython>=0.12.1 py38-numpy>=1.0 gcc7>=3.0 gsed>=3.0.2 py38-cython>=0.29.21 lapack>=3.9.0 blas>=3.9.0 gcc7>=7.0 blas>=3.9.0nb1 lapack>=3.9.0nb1 py38-numpy>=1.19.2nb1 hdf5>=1.8.7 libaec>=1.0.4 netcdf>=3.5 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.9.10nb3 nghttp2>=1.40.0nb4 hdf5>=1.8.11 curl>=7.70.0nb2 netcdf>=4.6.1nb10 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:py27-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
aarch64:py36-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
aarch64:py37-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
aarch64:py38-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
aarch64:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
aarch64:py36-netCDF4-1.5.3.tgz(NetBSD 9.0)
aarch64:py37-netCDF4-1.5.3.tgz(NetBSD 9.0)
aarch64:py38-netCDF4-1.5.3.tgz(NetBSD 9.0)
alpha:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
i386:py27-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
i386:py36-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
i386:py37-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
i386:py38-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
i386:py27-netCDF4-1.5.3.tgz(NetBSD 8.0)
i386:py36-netCDF4-1.5.3.tgz(NetBSD 8.0)
i386:py37-netCDF4-1.5.3.tgz(NetBSD 8.0)
i386:py38-netCDF4-1.5.3.tgz(NetBSD 8.0)
i386:py27-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
i386:py36-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
i386:py37-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
i386:py38-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
i386:py39-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
i386:py27-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
i386:py36-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
i386:py37-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
i386:py38-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
i386:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
i386:py36-netCDF4-1.5.3.tgz(NetBSD 9.0)
i386:py37-netCDF4-1.5.3.tgz(NetBSD 9.0)
i386:py38-netCDF4-1.5.3.tgz(NetBSD 9.0)
i386:py27-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
i386:py36-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
i386:py37-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
i386:py38-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
i386:py39-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
powerpc:py27-netCDF4-1.5.3.tgz(NetBSD 8.0)
powerpc:py36-netCDF4-1.5.3.tgz(NetBSD 8.0)
powerpc:py37-netCDF4-1.5.3.tgz(NetBSD 8.0)
powerpc:py38-netCDF4-1.5.3.tgz(NetBSD 8.0)
powerpc:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
powerpc:py36-netCDF4-1.5.3.tgz(NetBSD 9.0)
powerpc:py37-netCDF4-1.5.3.tgz(NetBSD 9.0)
powerpc:py38-netCDF4-1.5.3.tgz(NetBSD 9.0)
powerpc:py27-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
powerpc:py36-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
powerpc:py37-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
powerpc:py38-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
x86_64:py27-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py39-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py27-netCDF4-1.5.3.tgz(NetBSD 8.0)
x86_64:py36-netCDF4-1.5.3.tgz(NetBSD 8.0)
x86_64:py37-netCDF4-1.5.3.tgz(NetBSD 8.0)
x86_64:py38-netCDF4-1.5.3.tgz(NetBSD 8.0)
x86_64:py27-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
x86_64:py36-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
x86_64:py37-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
x86_64:py38-netCDF4-1.5.2nb5.tgz(NetBSD 8.0)
x86_64:py27-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
x86_64:py36-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
x86_64:py37-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
x86_64:py38-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
x86_64:py39-netCDF4-1.5.3nb1.tgz(NetBSD 8.0)
x86_64:py27-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.2nb5.tgz(NetBSD 9.0)
x86_64:py27-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.3.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py39-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py27-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py36-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py37-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py38-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)
x86_64:py39-netCDF4-1.5.3nb1.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]